%define name kismet

# numbering scheme 
# month + year + tiny
# i hope they will not release a real 3.1
# numbering : Year Month Number ( so feb 2004, first version is 040201 )
%define version 3.1.070101b
%define release %mkrel 4

Summary: Kismet is an 802.11b/g network sniffer and network dissector
Name: %name
Version: %version
Release: %release
Group: Networking/Other
License: GPL
Url: http://www.kismetwireless.net
Source: http://www.kismetwireless.net/code/kismet-2007-01-R1b.tar.gz
Patch: kismet-2007-01-R1b-64bits_castfix.patch
BuildRoot: %_tmppath/%{name}-%{version}-buildroot
Buildrequires: libncurses-devel 
Buildrequires: libpcap-devel
Buildrequires: imagemagick-devel
Buildrequires: wget
Buildrequires: glib-devel
BuildRequires: flex 
Buildrequires: bison
Buildrequires: gpsd-devel gmp-devel expat-devel

%description
Kismet is an 802.11b/g network sniffer and network dissector. It is
capable of sniffing using most wireless cards, automatic network IP
block detection via UDP, ARP, and DHCP packets, Cisco equipment lists
via Cisco Discovery Protocol, weak cryptographic packet logging, and
Ethereal and tcpdump compatible packet dump files. It also includes
the ability to plot detected networks and estimated network ranges on
downloaded maps or user supplied image files.

%prep
%setup -q -n %{name}-2007-01-R1b
%patch -p1 -b .64bits_castfix
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(INSTGRP\)//' Makefile.in
perl -pi -e 's/-o \$\(INSTUSR\) -g \$\(MANGRP\)//' Makefile.in
cat <<EOF > fix.h
#ifndef __FIX_H__
#define __FIX_H__
#define u32 __u32
#define u64 __u64
#define u16 __u16
#define u8  __u8
#endif
EOF

%build
export WANT_AUTOCONF_2_5=1
autoconf
%configure --without-ethereal 
#--enable-syspcap
%make
cat <<EOF >README.Mandriva
Since 3.1, kismet changed the configuration format,
especially for the sources naming.

See the list of sources in kis_packsources.cc .

The naming of the rpm is not the same as the upstream
authors. They change so oftern i decided to carry a custom
format for rpm version.
Format of the version is 3.1.YYMMNN with :
YY = Year
MM = Month
NN = Number of version this month

( so feb 2004, first version is 040201 )

This version is labeled  %{name}-%{upstream} on the website.
EOF

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/kismet.conf ] ;
then
	if ! egrep -q "^piddir="  %{_sysconfdir}/kismet.conf 
	then 
		echo "piddir=/var/run/" >> %{_sysconfdir}/kismet.conf
	fi
fi

%files
%defattr(-,root,root)
%doc CHANGELOG GPL README TIMESTAMP TODO README.Mandriva 
# kis_packsources.cc is here because it contains the list of sources
%doc docs/DEVEL.* docs/README.* kis_packsources.cc
%config(noreplace) %{_sysconfdir}/kismet.conf
%config(noreplace) %{_sysconfdir}/kismet_ui.conf
%config(noreplace) %{_sysconfdir}/*_manuf
%config(noreplace) %{_sysconfdir}/kismet_drone.conf
%_bindir/*
%_datadir/%name
%_mandir/man1/*
%_mandir/man5/*




%changelog
* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.070101b-4mdv2008.1
+ Revision: 167678
- rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.070101b-3mdv2008.1
+ Revision: 146501
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 3.1.070101b-2mdv2008.0
+ Revision: 79859
- rebuild for libexpat

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 3.1.070101b-1mdv2008.0
+ Revision: 24872
- Made patch 64bits_castfix to fix x86_64 build issue.
- Updated to 2007-01-R1b.


* Thu Mar 22 2007 Michael Scherer <misc@mandriva.org> 3.1.060413-2mdv2007.1
+ Revision: 147864
- rebuild for new libmagick
- Import kismet

* Fri May 19 2006 Emmanuel Andry <eandry@mandriva.org> 3.1.060413-1mdk
- 2006-04-R1
- Change summary and description for 802.11g support
- Fix README.Mandrake
- added gps support

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.1.050815-2mdk
- Remove redundant buildRequires

* Sun Sep 11 2005 Michael Scherer <misc@mandriva.org> 3.1.050815-1mdk
- mkrel
- 2005-08-R1

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 3.1.050630-3mdk
- rebuilt against new Magick libs

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 3.1.050630-2mdk
- rebuild for disappeared libdpstk.so.1

* Fri Jul 01 2005 Lenny Cartier <lenny@mandriva.com> 3.1.050630-1mdk
- 20050630

* Mon Mar 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.1.041001-4mdk
- Rebuild for new ImageMagick

* Fri Feb 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.1.041001-3mdk
- Rebuild for new ImageMagick

* Wed Nov 17 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.041001-2mdk
- add BuildRequires: flex bison

* Wed Nov 03 2004 Pascal Terjan <pterjan@mandrake.org> 3.1.041001-1mdk
- 2004-10-R1
- drop patches 0, 1 and 2

* Thu Aug 05 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-4mdk 
- rebuild for ImageMagick, patch 2

* Wed Jul 07 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-3mdk 
- rebuild for ImageMagick
- fix header inclusion

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-2mdk 
- rebuild for new gcc

* Fri Apr 09 2004 Michael Scherer <misc@mandrake.org> 3.1.040401-1mdk 
- new version ( 2004-04-R1 )
- fixed and explain the versionning scheme

